# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vlVG::SceneManagerVectorGraphics Class Reference

The SceneManagerVectorGraphics class is a SceneManager that contains VectorGraphics objects. More...

`#include <SceneManagerVectorGraphics.hpp>`

Inheritance diagram for vlVG::SceneManagerVectorGraphics:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| SceneManagerVectorGraphics ()
void | setActorRenderRankStart (int rank_start)
| Defines the Actor's render rank to be used when extracting them from the scene manager during the rendering.
int | actorRenderRankStart () const
| Returns the rendering rank start value used during the rendering of the VectorGraphics objects. See setActorRenderRankStart() for more information.
virtual void | appendVisibleActors (vl::ActorCollection &queue, const vl::Camera *)
| Performs frustum culling and appends the enabled and visible Actor[s] to the given ActorCollection.
virtual void | appendActors (vl::ActorCollection &queue)
| Appends all the Actor[s] contained in the scene manager without performing frustum culling or checking enable masks.
vl::Collection< VectorGraphics > * | vectorGraphicObjects ()
| Returns the list of VectorGraphics objects bound to a SceneManagerVectorGraphics.
const vl::Collection < VectorGraphics > * | vectorGraphicObjects () const
| Returns the list of VectorGraphics objects bound to a SceneManagerVectorGraphics.

## Protected Attributes

vl::Collection< VectorGraphics > | mVectorGraphicObjects
int | mActorRenderRankStart

## Detailed Description

The SceneManagerVectorGraphics class is a SceneManager that contains VectorGraphics objects.

The VectorGraphics objects are rendered in the order in which they are added to the SceneManagerVectorGraphics.

See also:
  - vl::Actor
  - vl::ActorKdTree
  - vl::ActorTree
  - vl::SceneManager
  - vl::SceneManagerBVH
  - vl::SceneManagerActorKdTree
  - vl::SceneManagerActorTree
  - vl::SceneManagerPortals

## Constructor & Destructor Documentation

vlVG::SceneManagerVectorGraphics::SceneManagerVectorGraphics | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vlVG::SceneManagerVectorGraphics::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::SceneManager.

void vlVG::SceneManagerVectorGraphics::setActorRenderRankStart | ( | int | rank_start | ) | `[inline]`

Defines the Actor's render rank to be used when extracting them from the scene manager during the rendering.

During the rendering when the Actor[s] are extracted they are assigned a progressive render rank starting from rank_start so that they are rendered in the same order in which they were created by their VectorGraphics. Also the order in which a VectorGraphics is inserted in the SceneManagerVectorGraphics determines the rendering order.

int vlVG::SceneManagerVectorGraphics::actorRenderRankStart | ( |  | ) | const`[inline]`

Returns the rendering rank start value used during the rendering of the VectorGraphics objects. See setActorRenderRankStart() for more information.

virtual void vlVG::SceneManagerVectorGraphics::appendVisibleActors | ( | vl::ActorCollection & | list,
|  | const vl::Camera * | camera |
| ) |  |  | `[inline, virtual]`

Performs frustum culling and appends the enabled and visible Actor[s] to the given ActorCollection.

See also enableMask(), Actor::enableMask()

Implements vl::SceneManager.

virtual void vlVG::SceneManagerVectorGraphics::appendActors | ( | vl::ActorCollection & | list | ) | `[inline, virtual]`

Appends all the Actor[s] contained in the scene manager without performing frustum culling or checking enable masks.

Implements vl::SceneManager.

vl::Collection<VectorGraphics>* vlVG::SceneManagerVectorGraphics::vectorGraphicObjects | ( |  | ) | `[inline]`

Returns the list of VectorGraphics objects bound to a SceneManagerVectorGraphics.

const vl::Collection<VectorGraphics>* vlVG::SceneManagerVectorGraphics::vectorGraphicObjects | ( |  | ) | const`[inline]`

Returns the list of VectorGraphics objects bound to a SceneManagerVectorGraphics.

## Member Data Documentation

vl::Collection<VectorGraphics> vlVG::SceneManagerVectorGraphics::mVectorGraphicObjects`[protected]`

int vlVG::SceneManagerVectorGraphics::mActorRenderRankStart`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlVG/SceneManagerVectorGraphics.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:50 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.